
# Note:
#      All file extensions should be written in lower case.
#      In the code we make sure to properly test against variations (e.g., uppercase).

COMPRESSED_FILE_EXTENSIONS = [".zip",
                              ".rar",
                              ".tar", ".tar.gz", ".tgz",
                              ".gz",
                              ".7z"]

VECTOR_FORMATS = [
    ("Arc/Info ASCII Coverage (*.e00)", [".e00"]),
    ("Arc/Info Generate (*.gen)", [".gen"]),
    ("AutoCAD Driver (*.dwg)", [".dwg"]),
    ("AutoCAD DXF (*.dxf)", [".dxf"]),
    ("Bathymetry Attributed Grid (*.bag)", [".bag"]),
    ("Comma Separated Value (*.csv)", [".csv"]),
    ("Czech Cadastral Exchange Data Format (*.vfk)", [".vfk"]),
    ("ESRI Shapefile (*.shp *.shz *.shp.zip)", [".shp", ".shz", ".shp.zip"]),
    ("FlatGeobuf (*.fgb)", [".fgb"]),
    ("Flexible Image Transport System (*.fits)", [".fits"]),
    ("Geoconcept (*.gxt *.txt)", [".gxt", ".txt"]),
    ("GeoJSON (*.geojson)", [".geojson"]),
    ("Geography Markup Language [GML] (*.gml)", [".gml"]),
    ("Geomedia .mdb (*.mdb)", [".mdb"]),
    ("GeoPackage (*.gpkg)", [".gpkg"]),
    ("GeoRSS (*.xml)", [".xml"]),
    ("Geospatial PDF (*.pdf)", [".pdf"]),
    ("GMT ASCII Vectors (*.gmt)", [".gmt"]),
    ("GPS eXchange Format [GPX] (*.gpx)", [".gpx"]),
    ("GPSTrackMaker (*.gtm *.gtz)", [".gtm", ".gtz"]),
    ("INTERLIS 2 (*.xtf *.xml *.ili)", [".xtf", ".xml", ".ili"]),
    ("JSON (*.json)", [".json"]),
    ("Keyhole Markup Language [KML] (*.kml *.kmz)", [".kml", ".kmz"]),
    ("Mapbox Vector Tiles (*.mvt *.mvt.gz *.pbf)", [".mvt", ".mvt.gz", ".pbf"]),
    ("Mapinfo File (*.mif *.tab)", [".mif", ".tab"]),
    ("MBTiles (*.mbtiles)", [".mbtiles"]),
    ("Microstation DGN (*.dgn)", [".dgn"]),
    ("NDJSON Newline Delimited JSON", [".geojsonl", ".geojsons", ".nlgeojson"]),
    ("OpenJUMP JML (*.jml)", [".jml"]),
    ("OpenStreetMap (*.osm *.pbf)", [".osm", ".pbf"]),
    ("PCI Geomatics Database File (*.pix)", [".pix"]),
    ("Scalable Vector Graphics (*.svg)", [".svg"]),
    ("SQLite/SpatiaLite (*.sqlite(3) *.db(3) *.s3db *.sl3)", [".sqlite", ".db", ".sqlite3", ".db3", ".s3db", ".sl3"]),
    ("TopoJSON (*.json *.topojson)", [".json", ".topojson"]),
    ("Virtual Datasource [VRT] (*.vrt *.ovf)", [".vrt", ".ovf"])
]

RASTER_FORMATS = [
    ("Virtual Raster (*.vrt)", [".vrt"]),
    ("GeoTIFF (*.tif *.tiff)", [".tif", ".tiff"]),
    ("Erdas Imagine Images (*.img)", [".img"]),
    ("Erdas Compressed Wavelets (*.ecw)", [".ecw"]),
    ("ERMapper .ers Labelled (*.ers)", [".ers"]),
    ("DTED Elevation Raster (*.dt)", [".dt2", ".dt3"]),
    ("Arc/Info ASCII Grid (*.asc)", [".asc"]),
    ("Portable Network Graphics (*.png)", [".png"]),
    ("JPEG JFIF (*.jpg *.jpeg)", [".jpg", ".jpeg"]),
    ("JPEG2000 (*.jp2)", [".jp2"]),
    ("Graphics Interchange Format (*.gif)", [".gif"]),
    ("X11 PixMap Format (*.xpm)", [".xpm"]),
    ("Bitmap image file (*.bmp)", [".bmp"]),
    ("PCIDSK Database File (*.pix)", [".pix"]),
    ("PCRaster Raster File (*.map)", [".map"]),
    ("ILWIS Raster Map (*.mpr *.mpl)", [".mpr", ".mpl"]),
    ("SRTMHGT File Format (*.hgt)", [".hgt"]),
    ("GMT NetCDF Grid Format (*.nc)", [".nc"]),
    ("GRIdded Binary (*.grb)", [".grb"]),
    ("Idrisi Raster A.1 (*.rst)", [".rst"]),
    ("Golden Software ASCII Grid (*.grd)", [".grd"]),
    ("R Object Data Store (*.rda)", [".rda"]),
    ("Vexcel MFF Raster (*.hdr)", [".hdr"]),
    ("USGS Optional ASCII DEM (*.dem)", [".dem"]),
    ("Magellan topo (*.blx)", [".blx"]),
    ("Rasterlite (*.sqlite)", [".sqlite"]),
    ("SAGA GIS Binary Grid (*.sdat)", [".sdat"]),
    ("Multi-resolution Seamless Image Database (*.sid)", [".sid"]),
    ("BSB Nautical Chart Format (*.kap)", [".kap"]),
]

POINT_CLOUD_FORMATS = [
    ("COPC Point Clouds (*.copc.laz)", [".copc.laz"]),
    ("Entwine Point Clouds (ept.json)", ["ept.json"]),
    ("PDAL Point Clouds (*.bpf *.e57 *.las *.laz)", [".bpf", ".e57", ".las", ".laz"]),
    ("Virtual Point Clouds (*.vpc)", [".vpc"]),
]
